<template>
  <div>

  <div class="accordion" @click="isOpened==index?isOpened=null:isOpened = index"
       v-for="(course, index) in courses" :key="course.index"
  >
    <div class="accordion__header" :class="{ active: isOpened==index }">
      <div class="accordion__index">
        {{index+1 }}
      </div>
      <div class="accordion__title">
        {{ course.name }}
      </div>
      <div class="accordion__icon">
        <img src="@/static/assets/images/arrow-down.svg" alt="Arrow down"/>
      </div>
    </div>
    <VueSlideToggle :open="isOpened==index" tag="section" :duration="500">
      <div  class="accordion__body" accordion__icon="{ active: isOpened==index }">
        <ul>
          <li v-for="(listItem, index) in course.themes" :key="index">{{ listItem }}
          </li>
          <nuxt-link v-for="(item, index) in mores" :to="localePath(item.link)">
            <button class="btnMore">{{ item.name }}</button>
          </nuxt-link>
        </ul>
      </div>
    </VueSlideToggle>
  </div>
  </div>
</template>

<script>
import {VueSlideToggle} from "vue-slide-toggle";

export default {

  data() {
    return {
      courses: [
        {
          name: this.$i18n.t('marketing.main'),
          index: "1",
          themes: [
            this.$i18n.t('marketing.1'),
            this.$i18n.t('marketing.2'),
            this.$i18n.t('marketing.3'),
            this.$i18n.t('marketing.4'),
            this.$i18n.t('marketing.5'),
            this.$i18n.t('marketing.6'),
            this.$i18n.t('marketing.7'),
            this.$i18n.t('marketing.8'),
          ],
          more: "/about-us"
        },

        {
          name: this.$i18n.t('coordination.main'),
          index: "2",
          themes: [
            this.$i18n.t('coordination.1'),
            this.$i18n.t('coordination.2'),
            this.$i18n.t('coordination.3'),
            this.$i18n.t('coordination.4'),
            this.$i18n.t('coordination.5'),
            this.$i18n.t('coordination.6'),
          ]
        },

        {
          name: this.$i18n.t('integration.main'),
          index: "3",
          themes: [
            this.$i18n.t('integration.1'),
            this.$i18n.t('integration.2'),
            this.$i18n.t('integration.3'),
            this.$i18n.t('integration.4'),
            this.$i18n.t('integration.5'),
            this.$i18n.t('integration.6'),
          ]
        },

        {
          name: this.$i18n.t('research.main'),
          index: "4",
          themes: [
            this.$i18n.t('research.1'),
            this.$i18n.t('research.2'),
            this.$i18n.t('research.3'),
            this.$i18n.t('research.4'),
          ]
        },

        {
          name: this.$i18n.t('strategy.main'),
          index: "5",
          themes: [
            this.$i18n.t('strategy.1'),
            this.$i18n.t('strategy.2'),
            this.$i18n.t('strategy.3'),
            this.$i18n.t('strategy.4'),
            this.$i18n.t('strategy.5'),
          ]
        },

        {
          name: this.$i18n.t('brending.main'),
          index: "6",
          themes: [
            this.$i18n.t('brending.1'),
            this.$i18n.t('brending.2'),
            this.$i18n.t('brending.3'),
            this.$i18n.t('brending.4'),
          ]
        },

        {
          name: this.$i18n.t('webSite.main'),
          index: "7",
          themes: [
            this.$i18n.t('webSite.1'),
            this.$i18n.t('webSite.2'),
            this.$i18n.t('webSite.3'),
            this.$i18n.t('webSite.4'),
            this.$i18n.t('webSite.5'),
            this.$i18n.t('webSite.6'),
            this.$i18n.t('webSite.7'),
          ]
        },

        {
          name: this.$i18n.t('Production.main'),
          index: "8",
          themes: [
            this.$i18n.t('Production.1'),
            this.$i18n.t('Production.2'),
            this.$i18n.t('Production.3'),
            this.$i18n.t('Production.4'),
            this.$i18n.t('Production.5'),
            this.$i18n.t('Production.6'),
            this.$i18n.t('Production.7'),
            this.$i18n.t('Production.8'),
          ]
        },

        {
          name: this.$i18n.t('media.main'),
          index: "9",
          themes: [
            this.$i18n.t('media.1'),
            this.$i18n.t('media.2'),
            this.$i18n.t('media.3'),
          ]
        },

      ],
      mores: [
        {
          name: this.$i18n.t('more'),
          link: '/portfolio',
        }
      ],
      isOpened: null
    }
  },
  transition: {
    name: "accordion",
    mode: "out-in"
  },
  components: {
    VueSlideToggle
  }
};
</script>


<style lang="scss" scoped>
.active {
  .accordion__title{
    color: #81007F;
  }
}
.btnMore {
  font-family: Montserrat;
  font-style: normal;
  font-weight: 600;
  font-size: 16px;
  line-height: 20px;
  text-align: right;
  color: #FFFFFF;
  border: 1px solid #FFFFFF;
  box-sizing: border-box;
  border-radius: 4px;
  background: none;
  margin: 22px 0 0 15px;
  &:hover {
    color: #81007F;
  }
}

.accordion {
  background: #141414;
  display: flex;
  flex-direction: column;
  padding-bottom: 28px;
  padding-top: 28px;
  user-select: none;
  border-bottom: 2px solid #353535;

  &:hover .accordion__title {
    //-webkit-text-stroke: 0.3px white;
    //-webkit-text-fill-color: transparent;
    color: #81007F;
  }

  &__header {
    display: flex;
    align-items: center;

    &.active {
      img {
        transform: rotate(180deg);
      }
    }
  }

  &__icon {
    min-width: 60px;
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: transparent;
    transition: .2s all;
    margin-left: auto;

    img {
      transition: .2s all;
    }
  }

  &__index {
    display: none;
  }

  &__title {
    font-style: normal;
    font-weight: bold;
    font-size: 24px;
    line-height: 155.9%;
    color: #FFFFFF;


  }

  &__body {
    background: #141414;
    display: none;
    margin-top: 16px;

    &.active {
      display: flex;
    }

    ul {
      padding-left: 0;

      li {
        color: #ffffff;
        font-size: 24px;
        font-weight: 500;
        position: relative;
        display: flex;
        align-items: center;

        &::before {
          content: '';
          min-width: 5px;
          height: 5px;
          background: #ffffff;
          border-radius: 50%;
          margin-right: 15px;
        }
      }
    }
  }
}


@media screen and (max-width: 991px) {
  div .accordion {
    padding-top: 12px;
    padding-bottom: 12px;

  }

  div .accordion__title {
    font-size: 20px;
  }

  .accordion__icon img {
    width: 25px;
  }

  .accordion__body {

    padding: 0;
  }

  .accordion__body ul li {
    font-size: 18px;
  }
}

@media screen and (max-width: 767px) {
  .btnMore {
    font-size: 15px;
  }
  div .accordion {
    padding-top: 10px;
    padding-bottom: 10px;

  }

  div .accordion__title {
    font-size: 16px;
  }

  .accordion__icon img {
    width: 20px;
  }

  .accordion__body {
    padding: 0;
  }

  .accordion__body ul li {
    font-size: 15px;
  }
}


@media screen and (max-width: 576px) {
  div .accordion {
    padding-top: 5px;
    padding-bottom: 5px;

  }

  div .accordion__title {
    font-size: 14px;
  }

  .accordion__icon img {
    width: 18px;
  }

  .accordion__body {
    padding: 0;
  }

  .accordion__body ul li {
    font-size: 12px;
  }
}
</style>
